@import '../../../../styles/mixins';
@import '../../../../styles/typography';
@import '../../../../styles/medias';

$color-1: rgba($color-primary, $alpha: 0.95);
$color-2: rgba($color-secondary, $alpha: 0.9);
:host {
  position: fixed;
  z-index: 1001;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.2s $cubic-bezier;

  &.reveal-visible {
    flex-direction: column;
    pointer-events: all;
    opacity: 1;
  }
}

.container {
  width: 100%;
  height: 100%;
  background-color: rgba($color-primary, $alpha: 0.8);
}
form {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  @include xs-landscape {
    top: 0;
    transform: translate(-50%, 0);
  }
  @include flex-center-layout;
  flex-direction: column;
  border-radius: $border-radius;
  width: 100%;
  max-width: $max-width;
  padding: $padding / 3;
  box-sizing: border-box;
  background-color: $color-2;
  border: 1px solid $color-border;

  @include p;
  .search_container {
    @include generic-layout(100%, true);
    box-sizing: border-box;
    background-color: $color-1;
    padding: $padding;
    border-radius: $border-radius;
    border: 1px solid $color-border;

    input,
    mat-icon {
      color: $color-white;
    }
    input {
      width: 100%;
      border: none;
      background-color: transparent;
      @include p;
      outline: none;
      font-size: 1rem;
    }
    mat-icon {
      cursor: pointer;
    }
  }

  h4 {
    margin-top: $margin;
    font-size: 13px;
  }

  ul {
    margin-top: $margin / 2;
    @include generic-layout(100%);
    li {
      box-sizing: border-box;
      padding: $padding / 2;
      width: 100%;
      &.active {
        background-color: $color-1;
        border-radius: $border-radius;
      }
      a {
        text-decoration: none;
        color: $color-white;
        transition: color 0.1s ease;
        &:hover {
          color: $color-accent1;
        }
      }
    }
  }
}
